/* GSF - GTK+ SpriteField.  Library to use sprites in GTK+
 * Copyright (C) 1998  Tore Skjellnes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
/*
 * Clusterizer
 *
 * $Id: gsfclusterizer.h,v 1.4 1998/07/30 03:35:40 torsk Exp $
 */
#ifndef __GSF_CLUSTERIZER_H__
#define __GSF_CLUSTERIZER_H__ 1

#include <gtk/gtk.h>
#include <glib.h>

#include "gsfrectangle.h"

/* FIX: Commented out due to annoing Emacs indent:
#ifdef __cplusplus
extern "C" {
#endif
*/

typedef GSList*                          GsfClusterizerIx;


#define GSF_CLUSTERIZER(obj)             (GTK_CHECK_CAST (obj, gsf_clusterizer_get_type (), GsfClusterizer))
#define GSF_CLUSTERIZER_CLASS(klass)     (GTK_CHECK_CLASS_CAST (klass, gsf_clusterizer_get_type (), GsfClusterizerClass))
#define GSF_IS_CLUSTERIZER(obj)          (GTK_CHECK_TYPE (obj, gsf_clusterizer_get_type ()))

typedef struct _GsfClusterizer           GsfClusterizer;
typedef struct _GsfClusterizerClass      GsfClusterizerClass;

struct _GsfClusterizer
{
    GtkObject object;

    GSList *list;
};

struct _GsfClusterizerClass
{
    GtkObjectClass parent_class;

    void (* changed)          (GsfClusterizer *clusterizer);
    
};

GtkType           gsf_clusterizer_get_type (void);
GsfClusterizer*   gsf_clusterizer_new      (void);
void              gsf_clusterizer_ref      (GsfClusterizer *c);
void              gsf_clusterizer_unref    (GsfClusterizer *c);

void              gsf_clusterizer_add      (GsfClusterizer *c,
					    GsfRectangle *rect);
void              gsf_clusterizer_add_point(GsfClusterizer *c,
					    gint x,
					    gint y);
gboolean          gsf_clusterizer_isempty  (GsfClusterizer *c);
GsfClusterizerIx  gsf_clusterizer_first    (GsfClusterizer *c);
GsfClusterizerIx  gsf_clusterizer_next     (GsfClusterizer *c,
					    GsfClusterizerIx ix);
GsfRectangle     *gsf_clusterizer_get      (GsfClusterizer *c,
					    GsfClusterizerIx ix);
GsfRectangle     *gsf_clusterizer_pop      (GsfClusterizer *c);


/* FIX: Commented out due to annoing Emacs indent:
#ifdef __cplusplus
}
#endif
*/  

#endif /* __GSF_CLUSTERIZER_H__ */
