/* GSF - GTK+ SpriteField.  Library to use sprites in GTK+
 * Copyright (C) 1998  Tore Skjellnes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
/*
 * Layer
 *
 * $Id: gsflayer.h,v 1.2 1998/07/30 03:35:41 torsk Exp $
 */
#ifndef __GSF_LAYER_H__
#define __GSF_LAYER_H__ 1

#include <gtk/gtk.h>
#include <glib.h>
#include "gsfbasesprite.h"
#include "gsfspritegfx.h"

/* FIX: Commented out due to annoing Emacs indent:
#ifdef __cplusplus
extern "C" {
#endif
*/

#define GSF_LAYER(obj)             (GTK_CHECK_CAST (obj, gsf_layer_get_type (), GsfLayer))
#define GSF_LAYER_CLASS(klass)     (GTK_CHECK_CLASS_CAST (klass, gsf_layer_get_type (), GsfLayerClass))
#define GSF_IS_LAYER(obj)          (GTK_CHECK_TYPE (obj, gsf_layer_get_type ()))

typedef struct _GsfLayerClass GsfLayerClass;
typedef struct _GsfLayer      GsfLayer;

struct _GsfLayer
{
    GsfBaseSprite basesprite;

    gint offsetx;
    gint offsety;
    gboolean tiled;
    GsfSpriteGfx *gfx;
};

struct _GsfLayerClass
{
    GsfBaseSpriteClass parent_class;
};

GtkType           gsf_layer_get_type       (void);
GtkObject*        gsf_layer_new            (void);
void              gsf_layer_set            (GsfLayer *layer,
					    GsfSpriteGfx *gfx,
					    gint offsetx,
					    gint offsety,
					    gboolean tiled,
					    GsfSpriteField *f,
					    gint z);
void              gsf_layer_getsize        (GsfLayer *sprite,
					    gint *width, gint *height);

/* FIX: Commented out due to annoing Emacs indent:
#ifdef __cplusplus
}
#endif
*/  

#endif /* __GSF_LAYER_H__ */
