/* GSF - GTK+ SpriteField.  Library to use sprites in GTK+
 * Copyright (C) 1998  Tore Skjellnes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
/*
 * MovePmSprite
 *
 * $Id: gsfmovepmsprite.h,v 1.4 1998/07/30 03:35:41 torsk Exp $
 */
#ifndef __GSF_MOVEPMSPRITE_H__
#define __GSF_MOVEPMSPRITE_H__ 1

#include <gtk/gtk.h>
#include <glib.h>
#include "gsfbasesprite.h"
#include "gsfpixmapsprite.h"

/* FIX: Commented out due to annoing Emacs indent:
#ifdef __cplusplus
extern "C" {
#endif
*/

#define GSF_MOVEPMSPRITE(obj)             (GTK_CHECK_CAST (obj, gsf_movepmsprite_get_type (), GsfMovePmSprite))
#define GSF_MOVEPMSPRITE_CLASS(klass)     (GTK_CHECK_CLASS_CAST (klass, gsf_movepmsprite_get_type (), GsfMovePmSpriteClass))
#define GSF_IS_MOVEPMSPRITE(obj)          (GTK_CHECK_TYPE (obj, gsf_movepmsprite_get_type ()))

typedef struct _GsfMovePmSpriteClass GsfMovePmSpriteClass;
typedef struct _GsfMovePmSprite      GsfMovePmSprite;

typedef enum {
    GSF_MOVEPMSPRITE_NONE,
    GSF_MOVEPMSPRITE_STOP,
    GSF_MOVEPMSPRITE_BOUNCE
} GsfMovePmAction;

struct _GsfMovePmSprite
{
    GsfPixmapSprite pixmapsprite;

    gint deltax;
    gint deltay;
    gint deltaframe;
    gint minx;
    gint miny;
    gint maxx;
    gint maxy;

    GsfMovePmAction action;
};

struct _GsfMovePmSpriteClass
{
    GsfPixmapSpriteClass parent_class;
};

GtkType           gsf_movepmsprite_get_type       (void);
GsfMovePmSprite*  gsf_movepmsprite_new            (void);
void              gsf_movepmsprite_ref            (GsfMovePmSprite *sprite);
void              gsf_movepmsprite_unref          (GsfMovePmSprite *sprite);
void              gsf_movepmsprite_setmove        (GsfMovePmSprite *sprite,
						   gint deltax,
						   gint deltay,
						   gint deltaframe);
void              gsf_movepmsprite_setbounds      (GsfMovePmSprite *sprite,
						   gint minx,
						   gint miny,
						   gint maxx,
						   gint maxy,
						   GsfMovePmAction action);
void              gsf_movepmsprite_move           (GsfMovePmSprite *sprite);

/* FIX: Commented out due to annoing Emacs indent:
#ifdef __cplusplus
}
#endif
*/  

#endif /* __GSF_MOVEPMSPRITE_H__ */
