/* GSF - GTK+ SpriteField.  Library to use sprites in GTK+
 * Copyright (C) 1998  Tore Skjellnes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
/*
 * Rectangle
 *
 * $Id: gsfrectangle.h,v 1.2 1998/07/30 03:35:42 torsk Exp $
 */
#ifndef __GSF_RECTANGLE_H__
#define __GSF_RECTANGLE_H__ 1

#include <glib.h>
#include "gsfmemarr.h"

/* FIX: Commented out due to annoing Emacs indent:
#ifdef __cplusplus
extern "C" {
#endif
*/

typedef struct _GsfRectangle GsfRectangle;

struct _GsfRectangle
{
    gint x;
    gint y;
    guint width;
    guint height;
};

GsfRectangle *gsf_rectangle_clone       (GsfRectangle *source);
void          gsf_rectangle_set         (GsfRectangle *dest,
					 gint x,
					 gint y,
					 guint width,
					 guint height);
void          gsf_rectangle_set_corners (GsfRectangle *dest,
					 gint x1,
					 gint y1,
					 gint x2,
					 gint y2);
gboolean      gsf_rectangle_isempty     (GsfRectangle *source);
gboolean      gsf_rectangle_intersects  (GsfRectangle *source1,
					 GsfRectangle *source2);
void          gsf_rectangle_makebound   (GsfRectangle *dest,
					 GsfRectangle *source1,
					 GsfRectangle *source2);
void          gsf_rectangle_intersection(GsfRectangle *dest,
					 GsfRectangle *source1,
					 GsfRectangle *source2);

extern GsfMemArr gsf_rectangle_memarr;

#define GSF_RECTANGLE_NEW()    GSF_MA_NEW(&gsf_rectangle_memarr, GsfRectangle)
#define GSF_RECTANGLE_FREE(p)  GSF_MA_FREE(&gsf_rectangle_memarr, (p))


/* FIX: Commented out due to annoing Emacs indent:
#ifdef __cplusplus
}
#endif
*/  

#endif /* __GSF_RECTANGLE_H__ */
