/* GSF - GTK+ SpriteField.  Library to use sprites in GTK+
 * Copyright (C) 1998  Tore Skjellnes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the 
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
/*
 * SpriteView
 *
 * $Id: gsfspriteview.h,v 1.5 1998/07/30 03:35:43 torsk Exp $
 */
#ifndef __GSF_SPRITEVIEW_H__
#define __GSF_SPRITEVIEW_H__ 1

#include <gtk/gtk.h>
#include <glib.h>

#include "gsfrectangle.h"

/* FIX: Commented out due to annoing Emacs indent:
#ifdef __cplusplus
extern "C" {
#endif
*/

#define GSF_SPRITEVIEW(obj)             (GTK_CHECK_CAST (obj, gsf_spriteview_get_type (), GsfSpriteView))
#define GSF_SPRITEVIEW_CLASS(klass)     (GTK_CHECK_CLASS_CAST (klass, gsf_spriteview_get_type (), GsfSpriteViewClass))
#define GSF_IS_SPRITEVIEW(obj)          (GTK_CHECK_TYPE (obj, gsf_spriteview_get_type ()))

#include "gsftypedefs.h"

struct _GsfSpriteView
{
    GtkDrawingArea widget;

    GsfSpriteField *field;
};

struct _GsfSpriteViewClass
{
    GtkDrawingAreaClass parent_class;

    void (* getviewarea)(GsfSpriteView *s, GsfRectangle *area);
};

GtkType           gsf_spriteview_get_type       (void);
GtkWidget*        gsf_spriteview_new            (void);
void              gsf_spriteview_setfield       (GsfSpriteView *s,
						 GsfSpriteField *f);


/* FIX: Commented out due to annoing Emacs indent:
#ifdef __cplusplus
}
#endif
*/  

#endif /* __GSF_SPRITEVIEW_H__ */
